Removed some trash
[gnupg.git] / scripts / autogen.sh
1 #!/bin/sh
2 # Run this to generate all the initial makefiles, etc.
3
4 PGM=GnuPG
5
6 DIE=no
7 NO_AUTOMAKE=no
8
9 (autoconf --version) < /dev/null > /dev/null 2>&1 || {
10     echo
11     echo "**Error**: You must have "\`autoconf\'" installed to compile $PGM."
12     echo '           (version 2.10 or newer is required'
13     DIE=yes
14 }
15
16 (automake --version) < /dev/null > /dev/null 2>&1 || {
17     echo
18     echo "**Error**: You must have "\`automake\'" installed to compile $PGM."
19     echo '           (version 1.3 or newer is required)'
20     DIE=yes
21     NO_AUTOMAKE=yes
22 }
23
24
25 # if no automake, don't bother testing for aclocal
26 test "$NO_AUTOMAKE" = "no" \
27      || (aclocal --version) < /dev/null > /dev/null 2>&1 || {
28     echo
29     echo "**Error**: Missing "\`aclocal\'".  The version of "\`automake\'
30     echo "           installed doesn't appear recent enough."
31     DIE=yes
32 }
33
34 if test "$DIE" = "yes"; then
35     exit 1
36 fi
37
38
39 aclocal
40 autoheader
41 automake --gnu;
42 autoheader
43 autoconf
44